"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function reportError(err, logging) {
    if (!(logging && logging.disableDefaultLogging)) {
        console.error(err.stack);
    }
    if (logging) {
        logging.onError({ error: err });
    }
}
exports.default = reportError;
//# sourceMappingURL=error-reporting.js.map