import { Options } from 'then-request';
import Request from './types/Request';
import NetworkLayerInterface from './types/NetworkLayerInterface';
import ServerResponse from './types/ServerResponse';
export { Options };
declare class NetworkLayer implements NetworkLayerInterface {
    private readonly _url;
    private readonly _options;
    constructor(url?: string, options?: Options);
    send(message: Request): Promise<ServerResponse>;
}
export default NetworkLayer;
