export default class HashLRU<Key, Value> {
    private readonly _max;
    private _size;
    private _previous;
    private _current;
    constructor(max: number);
    private _update(key, value);
    has(key: Key): boolean;
    remove(key: Key): void;
    get(key: Key): Value | void;
    set(key: Key, value: Value): void;
    clear(): void;
}
