import SessionID from '../types/SessionID';
import SessionStore, { Session } from './SessionStore';
declare class MemorySessionStore implements SessionStore {
    private readonly _cache;
    private readonly _lock;
    constructor(size?: number);
    tx<T>(id: SessionID, fn: (session: Session | null) => Promise<{
        session: Session;
        result: T;
    }>): Promise<T>;
}
export default MemorySessionStore;
