import CacheUpdateType from '../CacheUpdateType';
import Cache, { CacheData, CacheObject } from './Cache';
export default interface NodeID {
    _type: CacheUpdateType.NODE_ID;
    n: string;
    i: string | number;
}
export declare function createNodeID(name: string, id: string): NodeID;
export declare function isID(id: CacheData): id is NodeID;
export declare function getNode(cache: Cache, id: NodeID): CacheObject;
export declare function getNodeIfExists(cache: Cache, id: NodeID): CacheObject | null;
