"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
;
function createNodeID(name, id) {
    return { _type: 2 /* NODE_ID */, n: name, i: id };
}
exports.createNodeID = createNodeID;
function isID(id) {
    return !!(id &&
        typeof id === 'object' &&
        id._type === 2 /* NODE_ID */);
}
exports.isID = isID;
function getNode(cache, id) {
    var nodeCache = cache[id.n] || (cache[id.n] = {});
    return nodeCache[id.i] || (nodeCache[id.i] = {});
}
exports.getNode = getNode;
function getNodeIfExists(cache, id) {
    var nodeCache = cache[id.n];
    if (!nodeCache) {
        return null;
    }
    return nodeCache[id.i] || null;
}
exports.getNodeIfExists = getNodeIfExists;
//# sourceMappingURL=NodeID.js.map