"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SchemaKind;
(function (SchemaKind) {
    // primative types
    SchemaKind["Any"] = "Any";
    SchemaKind["Boolean"] = "Boolean";
    SchemaKind["Number"] = "Number";
    SchemaKind["String"] = "String";
    SchemaKind["Void"] = "Void";
    SchemaKind["Null"] = "Null";
    // complex types
    SchemaKind["List"] = "List";
    SchemaKind["Literal"] = "Literal";
    SchemaKind["Union"] = "Union";
    SchemaKind["Object"] = "Object";
    SchemaKind["Promise"] = "Promise";
    // named type
    SchemaKind["Named"] = "Named";
    SchemaKind["Scalar"] = "Scalar";
    // ast nodes
    SchemaKind["FieldMethod"] = "FieldMethod";
    SchemaKind["FieldProperty"] = "FieldProperty";
    SchemaKind["NodeType"] = "NodeType";
    SchemaKind["Mutation"] = "Mutation";
})(SchemaKind || (SchemaKind = {}));
exports.default = SchemaKind;
//# sourceMappingURL=SchemaKind.js.map