import Cache from '../types/Cache';
import ErrorResult from '../types/ErrorResult';
import Query from '../types/Query';
export interface QueryCacheResult<TResult> {
    result: TResult;
    loaded: boolean;
    errors: ReadonlyArray<string>;
    errorDetails: ReadonlyArray<ErrorResult>;
}
export default function runQueryAgainstCache(cache: Cache, query: Query): QueryCacheResult<any>;
