import { Ctx } from './Ctx';
import ServerResponse from './types/ServerResponse';
import SessionStore from './sessions/SessionStore';
import Request from './types/Request';
import Logging from './types/Logging';
import Schema from './types/Schema';
export default function handleMessage<Context>(schema: Schema<Context>, logging: Logging, sessionStore: SessionStore, message: Request, context: () => Ctx<Context>, mutationContext?: () => Ctx<Context>): Promise<ServerResponse>;
