/// <reference types="express" />
import { Request, Response, RequestHandler } from 'express';
import SessionStore from './sessions/SessionStore';
import Logging from './types/Logging';
import Schema from './types/Schema';
import { Ctx } from './Ctx';
export default function createBicycleMiddleware<Context>(schema: Schema<Context>, logging: Logging, sessionStore: SessionStore, getContext: (req: Request, res: Response, options: {
    stage: 'query' | 'mutation';
}) => Ctx<Context>): RequestHandler;
