"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var then_request_1 = require("then-request");
var NetworkLayer = /** @class */ (function () {
    function NetworkLayer(url, options) {
        this._url = url || '/bicycle';
        this._options = options || {};
    }
    NetworkLayer.prototype.send = function (message) {
        return then_request_1.default('POST', this._url, __assign({}, this._options, { json: message }))
            .getBody('utf8')
            .then(JSON.parse);
    };
    return NetworkLayer;
}());
exports.default = NetworkLayer;
//# sourceMappingURL=network-layer.js.map