import Cache from '../types/Cache';
import Logging from '../types/Logging';
import MutationContext from '../types/MutationContext';
import MutationResult from '../types/MutationResult';
import Query from '../types/Query';
import Schema from '../types/Schema';
export declare function enablePerformanceMonitoring(): void;
export declare function runQuery<Context>(query: Query, {schema, logging, context}: {
    schema: Schema<Context>;
    logging: Logging;
    context: Context;
}): Promise<Cache>;
export declare function runMutation<Context>(mutation: {
    method: string;
    args: any;
}, mCtx: MutationContext<Context>): Promise<MutationResult<any>>;
