import { CacheData } from '../types/Cache';
import Query from '../types/Query';
import { NodeType } from '../types/Schema';
import QueryContext from '../types/QueryContext';
export declare function startMonitoringPerformance(): {
    timings: {};
    count: {};
};
export declare function stopMonitoringPerformance(): {
    timings: {};
    count: {};
};
/**
 * Resolve a single field on a node to a value to be returned to the client
 */
export default function resolveField<Context>(type: NodeType<any, Context>, value: any, name: string, subQuery: true | Query, qCtx: QueryContext<Context>): Promise<CacheData>;
