"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var stringify = require('stable-stringify');
exports.stringify = stringify;
function merge(a, b) {
    var result = {};
    for (var key in a) {
        result[key] = a[key];
    }
    for (var key in b) {
        var bVal = b[key];
        if (bVal === true || !result[key]) {
            result[key] = bVal;
        }
        else {
            result[key] = merge(result[key], bVal);
        }
    }
    return result;
}
exports.merge = merge;
function addField(query, field, subQuery) {
    var result = {};
    for (var key in query) {
        result[key] = query[key];
    }
    if (subQuery === true || !result[field]) {
        result[field] = subQuery;
    }
    else {
        result[field] = merge(result[field], subQuery);
    }
    return result;
}
exports.addField = addField;
var BaseQuery = /** @class */ (function () {
    function BaseQuery(query) {
        this._query = query;
        this.$type = null;
    }
    return BaseQuery;
}());
exports.BaseQuery = BaseQuery;
var BaseRootQuery = /** @class */ (function (_super) {
    __extends(BaseRootQuery, _super);
    function BaseRootQuery() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._root = true;
        return _this;
    }
    return BaseRootQuery;
}(BaseQuery));
exports.BaseRootQuery = BaseRootQuery;
var Mutation = /** @class */ (function () {
    function Mutation(name, args, optimisticUpdate) {
        this._name = name;
        this._args = args;
        this._optimisticUpdate = optimisticUpdate;
        this.$type = null;
    }
    return Mutation;
}());
exports.Mutation = Mutation;
function getType(query) {
    return null;
}
exports.getType = getType;
//# sourceMappingURL=query.js.map